Summary: device mapper library
Name: device-mapper
Version: 1.02.28
Release: 2.el4
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/dm
Source0: %{name}.%{version}.tgz
Source1: %{name}.1.00.21.tgz
Source2: %{name}.1.01.04.tgz
Patch0: dm-rhel4.patch
Patch1: dm_1_20_31-fix-major-number.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libselinux-devel

%define _exec_prefix /

%description
This package contains the supporting userspace files (libdevmapper and
dmsetup) for the device-mapper.

%prep
%setup -q -n %{name}.%{version}
%setup -T -D -a 1 -n %{name}.%{version}
%setup -T -D -a 2 -n %{name}.%{version}
%patch0 -p1 -b .rhel4
%patch1 -p1 -b .major

%build
%configure --enable-static_link --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660 --enable-dmeventd --enable-pkgconfig
make
cd device-mapper.1.00.21
%configure --enable-static_link --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660
make
cd ../device-mapper.1.01.04
%configure --enable-static_link --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall usrlibdir=$RPM_BUILD_ROOT/usr/%{_lib}
install -m 555 device-mapper.1.00.21/lib/ioctl/libdevmapper.so $RPM_BUILD_ROOT/%{_libdir}/libdevmapper.so.1.00
install -m 555 device-mapper.1.01.04/lib/ioctl/libdevmapper.so $RPM_BUILD_ROOT/%{_libdir}/libdevmapper.so.1.01

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB INSTALL INTRO README VERSION WHATS_NEW
%{_libdir}/libdevmapper.so*
%{_libdir}/libdevmapper.a*
%{_libdir}/libdevmapper-event.so*
%{_libdir}/libdevmapper-event.a*
%{_sbindir}/dmeventd
%{_sbindir}/dmsetup
%{_sbindir}/dmsetup.static
%{_mandir}/*/*
%{_includedir}/libdevmapper.h
%{_includedir}/libdevmapper-event.h
/usr/%{_lib}/pkgconfig/*.pc


%changelog
* Fri Feb 20 2009 Peter Rajnoha <prajnoha@redhat.com> - 1.02.28-2
- Fix compatibility issues with major/minor numbers for DM devices.
  Resolves: #480838

* Mon Dec 15 2008 Peter Rajnoha <prajnoha@redhat.com> - 1.02.28-1
- Update to latest upstream release.
- Add --nameprefixes to dmsetup, add --unquoted and --rows to dmsetup.
- Add field name prefix option to reporting functions.
  Resolves: #476498

* Mon Jun 09 2008 Milan Broz <mbroz@redhat.com> - 1.02.25-2
- Make dm_hash_iter safe against deletion.
  Resolves: #450474

* Fri Apr 11 2008 Milan Broz <mbroz@redhat.com> - 1.02.25-1
- Update to latest upstream release.
- Add readahead setting support.
  Resolves: #245150

* Fri Jul 20 2007 Milan Broz <mbroz@redhat.com> - 1.02.21-1
- Update to latest upstream release.
- Add tree-based and dependency fields to dmsetup reports.
  Resolves: #249004 #225487
  
* Fri Apr 20 2007 Benjamin Marzinski <bmarzins@redhat.com> - 1.02.17-3
- Fix some memory leaks in libdevmapper-event and dmeventd
  Resolves: #237100

* Fri Feb 02 2007 Milan Broz <mbroz@redhat.com> - 1.02.17-2
- Improve dmeventd messaging protocol: drain pipe and tag messages
  Resolves: #225487

* Mon Jan 29 2007 Alasdair Kergon <agk@redhat.com> - 1.02.17-1
- Update dmsetup man page and help text.

* Fri Jan 26 2007 Alasdair Kergon <agk@redhat.com> - 1.02.16-1
- More dmeventd fixes.
- Update dmsetup to use new libdevmapper reporting functionality.

* Wed Jan 17 2007 Alasdair Kergon <agk@redhat.com> - 1.02.15-1
- More dmeventd fixes.
- Include basic reporting functions in libdevmapper.

* Fri Jan 12 2007 Alasdair Kergon <agk@redhat.com> - 1.02.14-2
- More dmeventd fixes.

* Thu Jan 11 2007 Alasdair Kergon <agk@redhat.com> - 1.02.14-1
- Fix dmeventd to cope if monitored device disappears.
- Lots of dmeventd changes including a revised interface.

* Tue Nov 28 2006 Alasdair Kergon <agk@redhat.com> - 1.02.13-1
- Update dmsetup man page (setgeometry & message).

* Tue Oct 31 2006 Alasdair Kergon <agk@redhat.com> - 1.02.12-3.0
- Suppress encryption key in 'dmsetup table'.

* Tue Oct 31 2006 Alasdair Kergon <agk@redhat.com> - 1.02.12-2.0
- Use dist variable for package release suffix.

* Fri Oct 13 2006 Alasdair Kergon <agk@redhat.com> - 1.02.12-1.0
- Smaller upstream source tarball with files for 2.4 kernel removed.
- Avoid deptree attempting to suspend a device that's already suspended.

* Thu Oct 12 2006 Alasdair Kergon <agk@redhat.com> - 1.02.11-1.0
- New upstream.

* Tue Sep 19 2006 Alasdair Kergon <agk@redhat.com> - 1.02.10-1.0
- New upstream with fixes.

* Tue Jul 11 2006 Alasdair Kergon <agk@redhat.com> - 1.02.07-4.0
- Fix dm_event_get_registered_device for 194125.

* Tue Jul 04 2006 Alasdair Kergon <agk@redhat.com> - 1.02.07-3.0
- dmeventd fixes - standalone binary, pthread_cancel. (194542, 197396, 192870)

* Tue May 16 2006 Alasdair Kergon <agk@redhat.com> - 1.02.07-2.0
- Mirror core log fix. (191919)

* Fri May 12 2006 Alasdair Kergon <agk@redhat.com> - 1.02.07-1.1
- Rebuild.

* Thu May 11 2006 Alasdair Kergon <agk@redhat.com> - 1.02.07-1.0
- Minor fixes upstream.

* Wed May 10 2006 Alasdair Kergon <agk@redhat.com> - 1.02.06-1.0
- Minor fixes upstream.

* Wed Apr 26 2006 Alasdair Kergon <agk@redhat.com> - 1.02.05-1.0
- New upstream release.

* Wed Feb 8 2006 Alasdair Kergon <agk@redhat.com> - 1.02.03-1.0
- New upstream release.
- Enable event daemon again.

* Thu Jan 12 2006 Alasdair Kergon <agk@redhat.com> - 1.02.02-3.0
- A further fix to the hashing code. (176443)

* Wed Jan 04 2006 Alasdair Kergon <agk@redhat.com> - 1.02.02-2.0
- Remove unused event daemon code. (176877)
- Fix 'dmsetup version'. (176861)
- Fix hash functions for clvm. (176443)

* Fri Dec 02 2005 Alasdair Kergon <agk@redhat.com> - 1.02.02-1.0
- Include event daemon in the build.
- Export dm_task_update_nodes.
- Use ioctl names instead of numbers in failure error messages.

* Wed Nov 23 2005 Alasdair Kergon <agk@redhat.com> - 1.02.01-1.0
- Suppress attempts to reload identical tables and fix LVM- prefix matching.

* Thu Nov 10 2005 Alasdair Kergon <agk@redhat.com> - 1.02.00-1.0
- Extend library with hash, bitset, pool, dbg_malloc and activation
  tree functions.
- Add ls --tree to dmsetup.
- Add nolockfs support for suspend/reload.

* Mon Aug 02 2005 Alasdair Kergon <agk@redhat.com> - 1.01.04-1.0
- Fix dmsetup handling with empty table (needed by multipath).

* Mon Jun 13 2005 Alasdair Kergon <agk@redhat.com> - 1.01.03-1.0
- Reinstate selinux support.

* Tue May 17 2005 Alasdair Kergon <agk@redhat.com> - 1.01.02-1
- Add --exec and --target to dmsetup for initrd convenience.
- Automatically call dm_lib_exit when exiting.

* Tue Mar 29 2005 Alasdair Kergon <agk@redhat.com> - 1.01.01-1
- Update dmsetup man page.
- Replicate devmap_name output with dmsetup info -c --noheadings -o name.
 
* Wed Feb 18 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-3
- Fix reinstated libdevmapper perms.

* Wed Feb 18 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-2
- Reinstate a copy of previous shared library version 1.00 to avoid 
  requiring applications using libdevmapper to be recompiled immediately.

* Mon Jan 17 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-1
- Update lib interface to make open_count optional.

* Fri Jan 7 2005 Alasdair Kergon <agk@redhat.com> - 1.00.21-1
- Fix (harmless) unintended warning messages.

* Thu Jan 6 2005 Alasdair Kergon <agk@redhat.com> - 1.00.20-1
- Minor fixes and updates - see WHATS_NEW.

* Fri Sep 17 2004 Alasdair Kergon <agk@redhat.com> - 1.00.19-2
- Missing BuildRequires. [bz 121133]

* Sat Jul 3 2004 Alasdair Kergon <agk@redhat.com> - 1.00.19-1
- New upstream release fixes device numbers for 2.6 kernels.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 26 2004 Alasdair Kergon <agk@redhat.com> - 1.00.17-2
- Fix is_selinux_enabled() test

* Mon Apr 19 2004 Alasdair Kergon <agk@redhat.com> - 1.00.17-1
- Fix non-root build with current version of 'install'.
- Incorporate last two selinux patches into tarball.

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 1.00.14-3
- fix linking against libselinux on x86-64

* Thu Apr 15 2004 Jeremy Katz <katzj@redhat.com> - 1.00.14-2
- don't error out if we get ENOTSUP setting the context

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.14-1
- Fix static selinux build.

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.13-1
- Set selinux context when doing mknod.

* Mon Apr 05 2004 Alasdair Kergon <agk@redhat.com> 1.00.11-1
- Cleanup build process. Add features: dmsetup targets, event_nr support.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-2
- add static lib

* Tue Dec  2 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-1
- Initial build.

